#include <iostream>
#include <algorithm>
using namespace std;

int main()
{
  int N; cin >> N;
  for (int I = 1; I <= N; ++I) {
    int a[3];
    cin >> a[0] >> a[1] >> a[2];
    sort(a, a + 3);

    cout << "Scenario #" << I << ":\n";
    cout << (a[0]*a[0] + a[1]*a[1] == a[2]*a[2]?"yes":"no") << endl << endl;
  }
}

